/* SECTION 1 (hindu act details)  */
.act-container {
  width: 100%;
  padding: 0 30px;
  background-color: var(--color-green);
}

.act-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 78px;
  padding: 80px 0;
  padding-top: 50px;
  color: var(--color-white);
}

.act-content {
  max-width: 462px;
  display: flex;
  flex-direction: column;
  gap: 30px;
  padding: 2px 0;
}

.page-desc {
  display: flex;
  align-items: center;
  gap: 2px;
}

.desc {
  display: flex;
  align-items: center;
  gap: 6px;
  padding: 0 4px;
}

.desc span {
  width: 22px;
  height: 26px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.desc a,
.bread-txt {
  font-size: 13px;
  line-height: 25px;
}

.act-head-para {
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding: 0 2px;
}

.act-head-para h1 {
  color: var(--color-white);
  font-size: 32px;
  line-height: 45px;
}

.act-head-para p {
  font-size: 15px;
  line-height: 24px;
  font-weight: 500;
}

.act-btn.talk-legal-btn {
  background-color: var(--color-white);
  color: var(--color-green);
  border: 2px solid var(--color-white);
  transition:
    background-color 0.23s ease,
    color 0.23s ease;
}

.act-btn.talk-legal-btn:hover {
  background-color: var(--color-green);
  color: var(--color-white);
}

.act-btn.talk-legal-btn:hover > span {
  content: url("../../assets/icons/whatsapp-white-fill-icn.svg");
}

.act-point-list {
  max-width: 570px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding: 15px 24px;
  padding-right: 18px;
  border-radius: 8px;
  background-color: var(--color-white);
}

.act-point {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 22px;
  padding-right: 15px;
}

.act-point-icon {
  width: 30px;
  height: 30px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.act-point-txt {
  max-width: 451px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 39px;

  font-size: 15px;
  line-height: 24px;
  font-weight: 500;
  border-bottom: 1px solid #e3e4e3;
}

.act-point:last-child > .act-point-txt {
  border: none;
}

@media (max-width: 1200px) {
  .act-wrapper {
    gap: 60px;
  }
}

@media (max-width: 1150px) {
  .act-wrapper {
    gap: 23px;
  }
}

@media (max-width: 1100px) {
  .act-point-list {
    padding: 28px 20px;
    gap: 18px;
  }

  .act-point {
    padding-right: 0;
  }

  .act-point-icon {
    width: 20px;
    height: 20px;
  }

  .act-point-txt {
    min-height: 31px;
  }
}

@media (max-width: 1023.98px) {
  .act-container {
    padding: 0 20px;
  }

  .act-wrapper {
    padding-top: 40px;
    flex-direction: column;
    gap: 30px;
  }

  .act-content {
    display: contents;
    align-items: center;
    text-align: center;
  }

  .act-head-para {
    order: 1;
    max-width: 581px;
    margin-bottom: 10px;
    padding: 0;
  }

  .page-desc {
    order: 2;
  }

  .act-point-list {
    max-width: 637px;
    order: 3;
    margin-bottom: 30px;
    padding: 28px 44px;
  }

  .act-btn.talk-legal-btn {
    order: 4;
  }
}

@media (max-width: 640.98px) {
  .act-container {
    padding: 0 10px;
  }

  .act-wrapper {
    padding: 50px 0;
    padding-top: 40px;
  }

  .page-desc {
    flex-wrap: wrap;
    justify-content: center;
  }

  .act-head-para {
    align-items: center;
  }

  .act-head-para h1 {
    font-size: 27px;
    line-height: 40px;
  }

  .act-point-list {
    max-width: 480px;
    padding: 28px 12px;
  }
}

@media (max-width: 480.98px) {
  .act-head-para h1 {
    max-width: 300px;
  }
}

/* SECTION 2 (what is act and its use) */
.why-container {
  width: 100%;
  padding: 0 30px;
  background-color: var(--color-mist-green);
}

.why-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
}

.simple-terms-card {
  max-width: 1110px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 30px;
  background-color: var(--color-white);
  border-left: 12px solid var(--color-green);
}

.simple-terms-card-para {
  margin-bottom: 5px;
}

.h2-heading-txt {
  font-size: 26px;
  line-height: 36px;
  font-weight: 600;
  color: var(--color-black);
  position: relative;
}

@media (max-width: 640.98px) {
  .h2-heading-txt {
    font-size: 22px;
    line-height: 32px;
  }
}

.simple-terms-card h2 {
  color: var(--color-green);
  padding-bottom: 10px;
  position: relative;
}

.simple-terms-card h2::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  max-width: 853px;
  width: 100%;
  height: 1px;
  background: linear-gradient(90deg, #11690d 0%, #edfbed 60%);
}

.act-apply-block {
  max-width: 1110px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.act-apply-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
}

.act-apply-card {
  display: flex;
  align-items: flex-start;
  gap: 15px;
  padding: 16px 10px;
  background-color: var(--color-white);
}

.act-apply-card span {
  width: 24px;
  height: 24px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;

  margin-top: 3.4px;
}

.act-cover-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px 30px;
}

.act-cover-card {
  display: flex;
  align-items: center;
  gap: 20px;
  padding: 15px 20px;
  min-height: 78px;
  background-color: var(--color-white);
  border-left: 4px solid var(--color-green);
}

.act-cover-card-number {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 38px;
  line-height: 48px;
  font-weight: 600;
  color: transparent;

  -webkit-text-stroke: 1px var(--color-green);
}

.act-purpose-card {
  max-width: 1110px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 30px;
  border-radius: 4px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  background-color: var(--color-white);
}

.act-purpose-card h2 {
  padding-bottom: 10px;
}

.act-purpose-card h2::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  max-width: 340px;
  width: 100%;
  height: 1px;
  background: linear-gradient(90deg, #11690d 0%, #edfbed 60%);
}

.act-purpose-grid {
  display: flex;
  gap: 88px;
}

.act-purpose-grid-left {
  display: flex;
  flex-direction: column;
  gap: 36px;
  flex-shrink: 0;
}

.act-purpose-grid-right {
  display: flex;
  flex-direction: column;
  gap: 36px;
}

.act-purpose-point {
  display: flex;
  align-items: flex-start;
  gap: 10px;
  height: fit-content;
}

.act-purpose-point span {
  margin-top: 2px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.act-nature-card {
  max-width: 1110px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 15px;
  padding: 30px;
  border-radius: 8px;
  background-color: var(--color-green);
  color: var(--color-white);
}

.act-nature-card h2 {
  color: var(--color-white);
  padding-bottom: 10px;
  position: relative;
}

.act-nature-card h2::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  max-width: 336px;
  width: 100%;
  height: 1px;
  background: linear-gradient(90deg, #edfbed 0%, #11690d 60%);
}

@media (max-width: 1100px) {
  .act-purpose-grid {
    gap: 85px;
  }
}

@media (max-width: 1023.98px) {
  .why-wrapper {
    padding: 60px 0;
    gap: 50px;
  }

  .act-apply-grid {
    grid-template-columns: 1fr;
  }

  .act-cover-grid {
    grid-template-columns: 1fr;
  }

  .act-purpose-grid {
    flex-direction: column;
    gap: 29px;
  }

  .act-purpose-grid-left,
  .act-purpose-grid-right {
    gap: 29px;
  }

  .act-cover-card-number {
    font-size: 40px;
    line-height: 50px;
  }
}

@media (max-width: 640.98px) {
  .why-container {
    padding: 0 10px;
  }

  .why-wrapper {
    padding: 50px 0;
  }

  .act-purpose-point span img {
    width: 20px;
    height: 20px;
  }

  .act-cover-card-number {
    font-size: 30px;
    line-height: 40px;
  }

  .act-purpose-point span {
    margin-top: 4px;
  }
}

/* SECTION 3 (Key Provisions of the Hindu Marriage Act, 1955) */
.key-container {
  width: 100%;
  padding: 0 30px;
}

.key-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 55px;
  padding: 80px 0;
}

.key-wrapper h2 {
  text-align: center;
  width: 100%;
  font-size: 26px;
  line-height: 36px;
  padding-bottom: 20px;
  position: relative;
}

.key-wrapper h2::before {
  content: "";
  position: absolute;
  max-width: 650px;
  width: 100%;
  height: 1px;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  background: linear-gradient(90deg, #edfbed 0%, #11690d 50%, #edfbed 100%);
}

.key-wrapper h3 {
  color: var(--color-white);
}

.key-wrapper h4 {
  color: var(--color-green);
}

.key-content {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
}

.key-provision-card {
  max-width: 1182px;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.key-provision-head {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 18px 40px;
  background-color: var(--color-green);
  color: var(--color-white);
  border-radius: 12px 12px 0 0;
}

.key-read-more {
  font-size: 17px;
  line-height: 26px;

  display: flex;
  justify-content: center;
  align-items: center;
  gap: 3px;
  padding: 8px 12px;
  border-radius: 6px;
  border: 1px solid var(--color-white);
}

.key-read-more span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.key-provision-body {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 48px 40px;
  border-radius: 0 0 12px 12px;
  border: 1px solid var(--color-green);
  border-top: none;
}

.key-provision-list {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.key-provision-list li {
  display: flex;
  align-items: center;
  gap: 10px;
}

.key-list-deco {
  width: 24px;
  height: 24px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.key-list-deco span {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 10.7px;
  height: 10.7px;
  flex-shrink: 0;
  background-color: #11690d;
  transform: rotate(45deg);
  border-radius: 1px;
}

.key-read-more.bottom {
  display: none;
  pointer-events: none;
}

@media (max-width: 1100px) {
  .key-provision-head {
    padding: 17px 25px;
  }

  .key-provision-body {
    padding: 48px 25px;
  }
}

@media (max-width: 1023.98px) {
  .key-wrapper {
    padding: 60px 0;
  }

  .key-content {
    gap: 50px;
  }

  .key-provision-head {
    justify-content: center;
  }

  .key-provision-body {
    padding: 30px 40px;
  }

  .key-read-more {
    display: none;
    pointer-events: none;
  }

  .key-read-more.bottom {
    display: flex;
    margin: 0 auto;
    color: var(--color-green);
    pointer-events: unset;
    border: 1px solid var(--color-green);

    margin-top: 30px;
  }
}

@media (max-width: 640.98px) {
  .key-container {
    padding: 0 10px;
  }

  .key-wrapper {
    padding: 50px 0;
  }

  .key-provision-body {
    padding: 30px 18px;
  }
}

/* SECTION 4 (common legal question about the act) */
.common-container {
  width: 100%;
  padding: 0 49px;
  background-color: var(--color-mist-green);
}

.common-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 55px;
  padding: 80px 0;
}

.common-heading h2 {
  text-align: center;
  position: relative;
  width: 100%;
  padding-bottom: 20px;
}

.common-heading h2::before {
  content: "";
  position: absolute;
  max-width: 722px;
  width: 100%;
  height: 1px;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  background: linear-gradient(90deg, #edfbed 0%, #11690d 50%, #edfbed 100%);
}

.common-faq-list {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.common-faq-item {
  display: flex;
  flex-direction: column;
  padding: 0 15px;
  background-color: var(--color-white);
}

.common-faq-question-box {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 5px;
  background-color: var(--color-white);
}

.common-faq-question {
  display: flex;
  align-items: center;
  gap: 15px;
  padding: 15px 0;
  text-align: left;
}

.common-faq-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.common-faq-toggle {
  width: 30px;
  height: 30px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--color-green);
  border-radius: 2px;
  border: 1px solid var(--color-green);
  transition:
    background-color 0.3s ease,
    color 0.3s ease;
}

.common-faq-toggle svg,
.common-faq-toggle img {
  transition: transform 0.3s ease;
}

.common-faq-item.active {
  padding: 30px 15px;
}

.common-faq-item.active
  > .common-faq-question-box
  > .common-faq-question
  > .common-faq-icon {
  content: url("../../assets/icons/question-mark-green-fill-icn.svg");
}

.common-faq-item.active > .common-faq-question-box > .common-faq-toggle {
  background-color: var(--color-green);
  color: var(--color-white);
}

.common-faq-item.active > .common-faq-question-box > .common-faq-toggle svg {
  transform: rotate(180deg);
}

.common-faq-item.active > .common-faq-question-box > .common-faq-toggle img {
  transform: rotate(180deg);
}

.common-faq-answer {
  display: grid;
  grid-template-rows: 0fr;
  margin-top: 0;
  opacity: 0;
  /* transform: translateX(-10px); */
  transition:
    grid-template-rows 0.35s ease,
    margin-top 0.35s ease,
    opacity 0.25s ease;
  /* transform 0.2s ease; */
}

.common-faq-answer p {
  overflow: hidden;
}

.common-faq-item {
  transition: padding 0.3s ease;
}

.common-faq-item.active > .common-faq-answer {
  grid-template-rows: 1fr;
  margin-top: 15px;
  opacity: 1;
  /* transform: translateX(0); */
}

.common-faq-question-box {
  cursor: pointer;
}

.common-faq-item.active > .common-faq-question-box::before {
  content: "";
  position: absolute;
  max-width: 100%;
  width: 100%;
  height: 1px;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  background: linear-gradient(90deg, #edfbed 0%, #11690d 50%, #edfbed 100%);
}

@media (max-width: 1023.98px) {
  .common-wrapper {
    padding: 60px 0;
  }
}

@media (max-width: 640.98px) {
  .common-container {
    padding: 0 10px;
  }

  .common-wrapper {
    padding: 50px 0;
  }
}

/* SECTION 5 (Sections of the Hindu Marriage Act, 1955) */
.section-container {
  width: 100%;
  padding: 0 35px;
}

.section-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 55px;
  padding: 80px 0;
}

.section-heading h2 {
  padding-bottom: 20px;
}

.section-heading h2::before {
  content: "";
  position: absolute;
  max-width: 485px;
  width: 100%;
  height: 1px;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  background: linear-gradient(90deg, #edfbed 0%, #11690d 50%, #edfbed 100%);
}

.section-table-wrap {
  max-width: 1018px;
  width: 100%;
  max-height: 550px;
  overflow: auto;
  border: 1px solid #d8d8d8;
  background-color: var(--color-white);
}

.section-table-wrap::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}

.section-table-wrap::-webkit-scrollbar-track {
  background-color: #f0f0f0;
}

.section-table-wrap::-webkit-scrollbar-thumb {
  background-color: #8e8e8e;
}

.section-table {
  overflow-x: auto;
  width: 100%;
  min-width: 942px;
  border-collapse: collapse;
  table-layout: fixed;
  color: var(--color-black);
}

.section-table th,
.section-table td {
  border-right: 1px solid #d8d8d8;
  border-bottom: 1px solid #d8d8d8;
  vertical-align: middle;
}

.section-table th:last-child,
.section-table td:last-child {
  border-right: none;
}

.section-table tr:last-child th,
.section-table tr:last-child td {
  border-bottom: none;
}

.section-table thead th {
  position: sticky;
  top: 0;
  z-index: 1;
  padding: 12px 15px;
  background-color: var(--color-green);
  color: var(--color-white);
  font-size: 19px;
  line-height: 28px;
  font-weight: 600;
  text-align: left;
}

.section-table thead th:first-child {
  text-align: center;
}

.section-table th:nth-child(1) {
  width: 31.5%;
}

.section-table th:nth-child(2) {
  width: 23%;
}

.section-table th:nth-child(3) {
  width: 45.5%;
}

.section-table tbody th {
  padding: 20px 18px;
  color: var(--color-black);
  font-size: 18px;
  line-height: 30px;
  font-weight: 400;
  text-align: center;
}

.section-table tbody th strong {
  font-weight: 600;
}

.section-table tbody td {
  height: 50px;
  padding: 10px 15px;
  font-size: 18px;
  line-height: 28px;
}

.section-table tbody td:nth-child(3),
.section-table tbody tr td:last-child {
  background-color: var(--color-mist-green);
  border-color: #cfe8cf;
}

.section-title-link {
  display: flex;
  align-items: center;
  gap: 12px;
  color: var(--color-black);
  font-size: 17px;
  line-height: 30px;
  font-weight: 500;
}

.section-title-link:hover {
  font-size: 18px;
  color: var(--color-green);
  font-weight: 600;
  transition: all 0.25s ease-in-out;
}

.section-title-link span {
  width: 20px;
  height: 20px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.section-title-link:hover > span {
  content: url("../../assets/icons/angle-arrow-green-fill-icn.svg");
  transition: all 0.4s ease-in-out;
}

.section-title-link img {
  display: block;
}

@media (max-width: 1023.98px) {
  .section-container {
    padding: 0 20px;
  }

  .section-wrapper {
    padding: 60px 0;
  }
}

@media (max-width: 640.98px) {
  .section-container {
    padding: 0 10px;
  }

  .section-wrapper {
    padding: 50px 0;
  }

  .section-table th:nth-child(1) {
    width: 21.5%;
  }

  .section-table th:nth-child(2) {
    width: 12%;
  }
}

/* SECTION 6 (related laws and act) */
.related-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-mist-green);
}

.related-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 55px;
  padding: 80px 0;
}

.related-heading {
  display: flex;
  justify-content: center;
  align-items: center;
}

.related-heading h2 {
  width: 100%;
  position: relative;
  padding-bottom: 20px;
  text-align: center;
}

.related-heading h2::before {
  content: "";
  position: absolute;
  max-width: 301px;
  width: 100%;
  height: 1px;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  background: linear-gradient(90deg, #edfbed 0%, #11690d 50%, #edfbed 100%);
}

.related-law-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
}

.related-law-card {
  max-width: 572px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 18px;
  padding: 25px 23px;
  border-radius: 10px;
  background-color: var(--color-white);
  color: var(--color-black);
}

.related-law-card.active {
  color: var(--color-white);
  background-color: var(--color-green);
}

.related-law-icon {
  width: 32px;
  height: 32px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 6px;
  background-color: var(--color-green);
}

.related-law-card.active > .related-law-icon {
  background-color: var(--color-white);
}

@media (max-width: 1190px) {
  .related-law-grid {
    gap: 40px 20px;
  }
}

@media (max-width: 1023.98px) {
  .related-wrapper {
    padding: 60px 0;
  }

  .related-law-grid {
    gap: 40px 35px;
  }
}

@media (max-width: 767.98px) {
  .related-law-grid {
    grid-template-columns: 1fr;
    gap: 35px;
  }
}

@media (max-width: 640.98px) {
  .related-container {
    padding: 0 14px;
  }

  .related-wrapper {
    padding: 50px 0;
  }
}
